#ifndef _LOG_H
 #define _LOG_H

#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <syslog.h>

#include "nooks-agent.h"

extern int open_log();
extern int close_log();
extern int flush_log();

extern int appendlog(char * str);
extern int writelog(const char * fmt, ...);

extern void syslog_fault();
extern void syslog_recover();

#endif
